com.ihr.xbrl.om.exLinks

## Class XBRLRelationshipsChainLink

- java.lang.Object
- - java.util.AbstractCollection<E>
  - - java.util.AbstractList<E>
    - - java.util.Vector<XBRLRelationship>
      - - com.ihr.xbrl.om.exLinks.XBRLRelationshipsChainLink

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, java.lang.Iterable<XBRLRelationship>, java.util.Collection<XBRLRelationship>, java.util.List<XBRLRelationship>, java.util.RandomAccess

      public class XBRLRelationshipsChainLink
      extends java.util.Vector<XBRLRelationship>

  The chain or relationships is the set of relationships that have: the same source element, the same extended role link, the same relationship type, the same arcrole type the same value in the order attribute (implicit order included) The chain has two interesting properties: - Following relationship - Preceding relationship
  Author:
    Ignacio
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static XBRLRelationshipsChainLink` | `NULLREL` The nullrel.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `XBRLRelationshipsChainLink()` Instantiates a new XBRL relationships chain link.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getIndex()` Gets the index.
    `XBRLRelationshipsChainLink` | `getNext()` Gets the next.
    `double` | `getOrderValue()` Gets the order value.
    `XBRLRelationshipsChainLink` | `getPrev()` Gets the prev.
    `void` | `insertAfter(XBRLRelationshipsChainLink newAfter)` Update this chain's pointer to next item in the chain.
    `void` | `insertBefore(XBRLRelationshipsChainLink newPrev)` Update this chain's pointer to previous item in the chain.

    - ### Methods inherited from class java.util.Vector

      `add, add, addAll, addAll, addElement, capacity, clear, clone, contains, containsAll, copyInto, elementAt, elements, ensureCapacity, equals, firstElement, get, hashCode, indexOf, indexOf, insertElementAt, isEmpty, iterator, lastElement, lastIndexOf, lastIndexOf, listIterator, listIterator, remove, remove, removeAll, removeAllElements, removeElement, removeElementAt, retainAll, set, setElementAt, setSize, size, subList, toArray, toArray, toString, trimToSize`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### NULLREL

          public static XBRLRelationshipsChainLink NULLREL

      The nullrel.

  - ### Constructor Detail

    - #### XBRLRelationshipsChainLink

          public XBRLRelationshipsChainLink()

      Instantiates a new XBRL relationships chain link.

  - ### Method Detail

    - #### insertBefore

          public void insertBefore(XBRLRelationshipsChainLink newPrev)

      Update this chain's pointer to previous item in the chain.
      Parameters:
        `newPrev` - the new prev

    - #### insertAfter

          public void insertAfter(XBRLRelationshipsChainLink newAfter)

      Update this chain's pointer to next item in the chain.
      Parameters:
        `newAfter` - the new after

    - #### getOrderValue

          public double getOrderValue()

      Gets the order value.
      Returns:
        the order value

    - #### getIndex

          public int getIndex()

      Gets the index.
      Returns:
        the index

    - #### getNext

          public XBRLRelationshipsChainLink getNext()

      Gets the next.
      Returns:
        the next

    - #### getPrev

          public XBRLRelationshipsChainLink getPrev()

      Gets the prev.
      Returns:
        the prev